package org.amse.mARICa.ioXML;

import java.util.ArrayList;

import org.w3c.dom.Element;

public class ScoresWriter extends AbstractWriter {
	
	/**
	 *    Document'   -scores
	 * @param score
	 */
	public ScoresWriter(ArrayList<Score> arrScores){
		myDoc = createDomDocument();
	    if (myDoc == null){
	    	throw new WriterException("   XML");
	    }
	    Element elScores = myDoc.createElement("score");
	    myDoc.appendChild(elScores);
	    
	    for(int i=0; i < 5; i++){
	    	Element childScores = myDoc.createElement("item");
	    	childScores.setAttribute("score", arrScores.get(i).getScore());
	    	childScores.setAttribute("name", arrScores.get(i).getName());
	    	elScores.appendChild(childScores);
	    }
	}

}
