package org.amse.mARICa.model;

/**
 *   
 * @author mARICa
 */
public interface IBoard {
	
	/**
	 * @return  
	 */
	 int getHeight();
	 /**
	  * @return  
	  */
	 int getWidth();
	/**
	 * @param x -    
	 * @param y -   
	 * @return ,     null
	 */
	ICell getCell(int x,int y);
	
	/**
	 *  [x][y]   IWall
	 * @param x -    
	 * @param y -   
	 * @return   IWall
	 */
	IWall setWall(int x, int y);
	
	/**
	 *  [x][y]   
	 * (    )
	 * @param x -    
	 * @param y -   
	 * @return   IFreeCell
	 */
	IFreeCell setFreeCell(int x, int y);
	
	/**
	 *     ,
	 * ..    
	 * @return true -     false   
	 */
	boolean isValid();
}
