package org.amse.mARICa.ioXML;

import org.amse.mARICa.game.Point;
import org.amse.mARICa.model.IBoard;

public class DataForGame{
	private int myMinStep;
	private int myCountStores;
	private Point myStartPos;
	private Point myStores [];
	private IBoard myBoard;
	
	DataForGame(IBoard board, int minStep, int countStores, Point startPos, Point stores []){
		myBoard = board;
		myMinStep = minStep;
		myCountStores = countStores;
		myStartPos = startPos;
		myStores = stores;
	}
	
	public IBoard getBoard(){
		return myBoard;
	}
	
	public int getMinStep(){
		return myMinStep;
	}
	
	public int getCountStores(){
		return myCountStores;
	}
	
	public Point getStartPos(){
		return myStartPos;
	}
	
	public Point [] getStores(){
		return myStores;
	}    	
}
